$(call PKG_INIT_BIN, 0.4.1)
$(PKG)_SOURCE:=$(pkg)-$($(PKG)_VERSION)_rc4-src.tar.gz
$(PKG)_SITE:=http://fritz.v3v.de/$(pkg)/$(pkg)-src
$(PKG)_WEBPHONE:=http://fritz.v3v.de/webphone/sWebPhone.jar
$(PKG)_DIR:=$(SOURCE_DIR)/$(pkg)-$($(PKG)_VERSION)_rc4-src
$(PKG)_PJPATH:=../pjproject-0.8.0
$(PKG)_BINARY:=$($(PKG)_DIR)/$(pkg)
$(PKG)_TARGET_BINARY:=$($(PKG)_TARGET_DIR)/root/usr/sbin/$(pkg)
$(PKG)_STARTLEVEL=40

$(PKG)_DEPENDS_ON := libcapi pjproject

$(PKG)_CFLAGS:=-DDTMFBOX_WIN32=0 
$(PKG)_CFLAGS+=-DDTMFBOX_USE_SOUND=0
$(PKG)_CFLAGS+=-DDTMFBOX_USE_CAPI=$(if $(FREETZ_PACKAGE_$(PKG)_WITH_CAPI),1,0)
$(PKG)_CFLAGS+=-DDTMFBOX_USE_VOIP=$(if $(FREETZ_PACKAGE_$(PKG)_WITH_VOIP),1,0)
$(PKG)_CFLAGS+=-DDTMFBOX_USE_ICE=1
$(PKG)_CFLAGS+=-DDTMFBOX_HELP_USAGE=1
$(PKG)_CFLAGS+=-DDTMFBOX_RESAMPLE_QUALITY=$(FREETZ_PACKAGE_$(PKG)_RESAMPLE_QUALITY)
$(PKG)_CFLAGS+=-DPJMEDIA_HAS_G711_CODEC=$(if $(FREETZ_PACKAGE_$(PKG)_WITH_G711_CODEC),1,0)
$(PKG)_CFLAGS+=-DPJMEDIA_HAS_GSM_CODEC=$(if $(FREETZ_PACKAGE_$(PKG)_WITH_GSM_CODEC),1,0)
#$(PKG)_CFLAGS+=-DPJMEDIA_HAS_ILBC_CODEC=$(if $(FREETZ_PACKAGE_$(PKG)_WITH_ILBC_CODEC),1,0)
#$(PKG)_CFLAGS+=-DPJMEDIA_HAS_SPEEX_CODEC=$(if $(FREETZ_PACKAGE_$(PKG)_WITH_SPEEX_CODEC),1,0)
$(PKG)_CFLAGS+=-DPJMEDIA_HAS_SPEEX_CODEC=0
$(PKG)_CFLAGS+=-DPJMEDIA_HAS_ILBC_CODEC=0
$(PKG)_CFLAGS+=-DPJMEDIA_HAS_L16_CODEC=0
$(PKG)_CFLAGS+=-DPJ_LOG_MAX_LEVEL=5
$(PKG)_CFLAGS+=-DPJ_HAS_FLOATING_POINT=0

$(PKG)_LDLIBS:=-Wl,-Bdynamic -lnsl -lm
$(PKG)_LDLIBS+=-Wl,-Bstatic  -lpjsip-ua -lpjsip-simple -lpjsip -lpjmedia-codec -lpjmedia -lpjnath -lpjlib-util -lpj -lresample
$(PKG)_LDLIBS+=$(if $(FREETZ_PACKAGE_$(PKG)_WITH_SPEEX_CODEC),-lspeex,)
$(PKG)_LDLIBS+=$(if $(FREETZ_PACKAGE_$(PKG)_WITH_GSM_CODEC),-lgsmcodec,)
$(PKG)_LDLIBS+=$(if $(FREETZ_PACKAGE_$(PKG)_WITH_ILBC_CODEC),-lilbccodec,)

$(PKG_SOURCE_DOWNLOAD)
$(PKG_UNPACKED)
$(PKG_CONFIGURED_NOP)

$($(PKG)_BINARY): $($(PKG)_DIR)/.configured
	cp $(DTMFBOX_DIR)/Makefile.mipsel $(DTMFBOX_DIR)/Makefile
	$(if $(FREETZ_PACKAGE_DTMFBOX_WITH_WEBPHONE),wget -O $(DTMFBOX_TARGET_DIR)/root/usr/mww/sWebPhone.jar $(DTMFBOX_WEBPHONE),)
	PATH="$(TARGET_PATH)" \
	PJPATH="$(DTMFBOX_PJPATH)" \
		$(TARGET_CONFIGURE_OPTS) \
		CFLAGS="$(TARGET_CFLAGS) $(DTMFBOX_CFLAGS)" \
		LDLIBS="$(DTMFBOX_LDLIBS)" \
		$(MAKE) -C $(DTMFBOX_DIR) all 

$($(PKG)_TARGET_BINARY): $($(PKG)_BINARY)
	$(INSTALL_BINARY_STRIP)

$(pkg)-precompiled: $($(PKG)_TARGET_BINARY)

$(pkg)-clean:
	-$(MAKE) -C $(DTMFBOX_DIR) clean

$(pkg)-uninstall:
	rm -f $(DTMFBOX_TARGET_BINARY)

$(PKG_FINISH)
